Subject: bug#55149: (No Subject)

From: "M. Ian Graham" <[email-masked]>
Date: Thu, 28 Apr 2022 02:06:02 +0000

Quick clarification on server/emacsclient involvement: As far as I can tell, any emacsclient breakage here is a downstream side effect of magit/with-editor's advice calls somehow getting messed up.

Using bc9be5449e1127bc1b05a6cad8471c6eba52c8e9 and prior I cannot reproduce any related problems.
Using f30625943edefbd88ebf84acbc254ed88db27beb and later causes the magit-commit command to break with a GitError ("problem with the editor" where the editor is emacsclient) before displaying its message editor window.

In the same emacs instance, only after first reproducing the magit-commit error (and presumably leaving a stalled client connection in place), later emacsclient usage fails via the CLI.
Given a new session using a fresh server-start and using basic emacsclient commands, I don't observe any problems.

I'm not yet sure what a minimal breaking advice test looks like. Will shout back if I find something.

-Ian